diff --git a/web/pgadmin/browser/server_groups/servers/databases/tests/test_db_get.py b/web/pgadmin/browser/server_groups/servers/databases/tests/test_db_get.py
index 8e62a1c..46b3cab 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/tests/test_db_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/tests/test_db_get.py
@@ -9,7 +9,7 @@
 
 from pgadmin.utils.route import BaseTestGenerator
 from regression import test_utils as utils
-from regression import test_server_dict
+from regression import parent_node_dict
 from . import utils as database_utils
 
 
@@ -24,10 +24,10 @@ class DatabasesGetTestCase(BaseTestGenerator):
 
     def runTest(self):
         """ This function will fetch added database. """
-        server_data = test_server_dict["database"][0]
+        server_data = parent_node_dict["database"][-1]
         self.server_id = server_data["server_id"]
         self.db_id = server_data['db_id']
-        db_con = database_utils.verify_database(self,
+        db_con = database_utils.connect_database(self,
                                                 utils.SERVER_GROUP,
                                                 self.server_id,
                                                 self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/tests/test_db_put.py b/web/pgadmin/browser/server_groups/servers/databases/tests/test_db_put.py
index 809c04a..0f0914b 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/tests/test_db_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/tests/test_db_put.py
@@ -12,7 +12,7 @@ import uuid
 
 from pgadmin.utils.route import BaseTestGenerator
 from regression import test_utils as utils
-from regression import test_server_dict
+from regression import parent_node_dict
 from . import utils as database_utils
 
 
@@ -26,32 +26,36 @@ class DatabasesUpdateTestCase(BaseTestGenerator):
     def setUp(self):
         self.db_name = "test_db_put_%s" % str(uuid.uuid4())[1:8],
         self.db_id = utils.create_database(self.server, self.db_name)
+        self.server_id = parent_node_dict["server"][-1]["server_id"]
+        db_dict = {"server_id": self.server_id, "db_id": self.db_id,
+                   "db_name": self.db_name}
+        utils.write_node_info("did", db_dict)
 
     def runTest(self):
         """ This function will update the comments field of database."""
-        server_id = test_server_dict["server"][0]["server_id"]
-        db_id = self.db_id
-        db_con = database_utils.verify_database(self,
+        db_con = database_utils.connect_database(self,
                                                 utils.SERVER_GROUP,
-                                                server_id,
-                                                db_id)
+                                                self.server_id,
+                                                self.db_id)
         if db_con["info"] == "Database connected.":
             try:
                 data = {
                     "comments": "This is db update comment",
-                    "id": db_id
+                    "id": self.db_id
                 }
                 response = self.tester.put(
                     self.url + str(utils.SERVER_GROUP) + '/' + str(
-                        server_id) + '/' +
-                    str(db_id), data=json.dumps(data), follow_redirects=True)
+                        self.server_id) + '/' +
+                    str(self.db_id), data=json.dumps(data),
+                    follow_redirects=True)
                 self.assertEquals(response.status_code, 200)
             except Exception as exception:
                 raise Exception("Error while updating database details. %s" %
                                 exception)
             finally:
                 # Disconnect database to delete it
-                database_utils.disconnect_database(self, server_id, db_id)
+                database_utils.disconnect_database(self, self.server_id,
+                                                   self.db_id)
         else:
             raise Exception("Error while updating database details.")
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/tests/utils.py b/web/pgadmin/browser/server_groups/servers/databases/tests/utils.py
index 6b26863..f50bca0 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/tests/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/tests/utils.py
@@ -6,15 +6,12 @@
 # #This software is released under the PostgreSQL Licence
 #
 # ##########################################################################
-
 import json
 import uuid
 
 from pgadmin.browser.server_groups.servers.tests import utils as server_utils
 from regression import test_utils as utils
 
-
-DATABASE_URL = '/browser/database/obj/'
 DATABASE_CONNECT_URL = '/browser/database/connect/'
 
 
@@ -93,7 +90,7 @@ def get_db_data(db_owner):
       }
     ],
         "encoding": "UTF8",
-        "name": "db_add_%s" % str(uuid.uuid4())[1:4],
+        "name": "db_add_%s" % str(uuid.uuid4())[1:6],
         "privileges": [],
         "securities": [],
         "variables": []
@@ -107,7 +104,7 @@ def create_database(connection, db_name):
         old_isolation_level = connection.isolation_level
         connection.set_isolation_level(0)
         pg_cursor = connection.cursor()
-        pg_cursor.execute("CREATE DATABASE %s" % db_name)
+        pg_cursor.execute('''CREATE DATABASE "%s"''' % db_name)
         connection.set_isolation_level(old_isolation_level)
         connection.commit()
         return pg_cursor
@@ -115,7 +112,7 @@ def create_database(connection, db_name):
         raise Exception("Error while creating database. %s" % exception)
 
 
-def verify_database(self, server_group, server_id, db_id):
+def connect_database(self, server_group, server_id, db_id):
     """
     This function verifies that database is exists and whether it connect
     successfully or not
@@ -150,38 +147,3 @@ def disconnect_database(self, server_id, db_id):
         'browser/database/connect/', utils.SERVER_GROUP, server_id, db_id),
         follow_redirects=True)
     self.assertEquals(db_con.status_code, 200)
-
-
-def delete_database(tester):
-    """
-    This function used to delete the added databases
-
-    :param tester: test client object
-    :return: None
-    """
-
-    server_ids = None
-    db_ids_dict = None
-
-    all_id = utils.get_ids()
-    if "sid" and "did" in all_id.keys():
-        server_ids = all_id["sid"]
-        if all_id['did']:
-            db_ids_dict = all_id['did'][0]
-    else:
-        raise Exception("Keys are not found in pickle dict: {}".format(["sid", "did"]))
-
-    if server_ids and db_ids_dict is not None:
-        for server_id in server_ids:
-            server_response = server_utils.verify_server(tester, utils.SERVER_GROUP, server_id)
-            if server_response["data"]["connected"]:
-                db_id = db_ids_dict[int(server_id)]
-                response = tester.delete(DATABASE_URL + str(utils.SERVER_GROUP) + '/' +
-                                         str(server_id) + '/' + str(db_id),
-                                         follow_redirects=True)
-                assert response.status_code == 200
-                response_data = json.loads(response.data.decode('utf-8'))
-                assert response_data['success'] == 1
-    else:
-        raise Exception("No servers/databases found.")
-
diff --git a/web/pgadmin/browser/server_groups/servers/roles/tests/test_role_add.py b/web/pgadmin/browser/server_groups/servers/roles/tests/test_role_add.py
index 11b9fa7..6b92e77 100644
--- a/web/pgadmin/browser/server_groups/servers/roles/tests/test_role_add.py
+++ b/web/pgadmin/browser/server_groups/servers/roles/tests/test_role_add.py
@@ -10,7 +10,7 @@ import json
 
 from pgadmin.utils.route import BaseTestGenerator
 from regression import test_utils as utils
-from regression import test_server_dict
+from regression import parent_node_dict
 from pgadmin.browser.server_groups.servers.tests import utils as server_utils
 from . import utils as roles_utils
 
@@ -28,7 +28,7 @@ class LoginRoleAddTestCase(BaseTestGenerator):
 
     def runTest(self):
         """This function test the add role scenario"""
-        server_id = test_server_dict["server"][0]["server_id"]
+        server_id = parent_node_dict["server"][-1]["server_id"]
         server_response = server_utils.connect_server(self, server_id)
         if not server_response['data']['connected']:
             raise Exception("Server not found to add the role.")
@@ -42,8 +42,9 @@ class LoginRoleAddTestCase(BaseTestGenerator):
         self.assertEquals(response.status_code, 200)
         response_data = json.loads(response.data.decode('utf-8'))
         role_id = response_data['node']['_id']
-        role_dict = {"server_id": server_id, "role_id": role_id}
-        utils.write_node_info(role_id, "lrid", role_dict)
+        role_dict = {"server_id": server_id, "role_id": role_id,
+                     "role_name": self.role_name}
+        utils.write_node_info("lrid", role_dict)
 
     def tearDown(self):
         """This function delete the role from added server"""
diff --git a/web/pgadmin/browser/server_groups/servers/roles/tests/test_role_delete.py b/web/pgadmin/browser/server_groups/servers/roles/tests/test_role_delete.py
index 9a495ff..47947c8 100644
--- a/web/pgadmin/browser/server_groups/servers/roles/tests/test_role_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/roles/tests/test_role_delete.py
@@ -10,7 +10,7 @@ import uuid
 
 from pgadmin.utils.route import BaseTestGenerator
 from regression import test_utils as utils
-from regression import test_server_dict
+from regression import parent_node_dict
 from . import utils as roles_utils
 
 
@@ -24,13 +24,16 @@ class LoginRoleDeleteTestCase(BaseTestGenerator):
     def setUp(self):
         self.role_name = "role_delete_%s" % str(uuid.uuid4())[1:6]
         self.role_id = roles_utils.create_role(self.server, self.role_name)
+        self.server_id = parent_node_dict["server"][-1]["server_id"]
+        role_dict = {"server_id": self.server_id, "role_id": self.role_id,
+                     "role_name": self.role_name}
+        utils.write_node_info("lrid", role_dict)
 
     def runTest(self):
         """This function test the delete role scenario"""
-        server_id = test_server_dict["server"][0]["server_id"]
         response = self.tester.delete(
             self.url + str(utils.SERVER_GROUP) + '/' +
-            str(server_id) + '/' + str(self.role_id),
+            str(self.server_id) + '/' + str(self.role_id),
             follow_redirects=True)
         self.assertEquals(response.status_code, 200)
 
diff --git a/web/pgadmin/browser/server_groups/servers/roles/tests/test_role_get.py b/web/pgadmin/browser/server_groups/servers/roles/tests/test_role_get.py
index 736ae3c..b6aaf8d 100644
--- a/web/pgadmin/browser/server_groups/servers/roles/tests/test_role_get.py
+++ b/web/pgadmin/browser/server_groups/servers/roles/tests/test_role_get.py
@@ -10,7 +10,7 @@ import uuid
 
 from pgadmin.utils.route import BaseTestGenerator
 from regression import test_utils as utils
-from regression import test_server_dict
+from regression import parent_node_dict
 from . import utils as roles_utils
 
 
@@ -22,15 +22,18 @@ class LoginRoleGetTestCase(BaseTestGenerator):
     ]
 
     def setUp(self):
+        self.server_id = parent_node_dict["server"][-1]["server_id"]
         self.role_name = "role_get_%s" % str(uuid.uuid4())[1:6]
         self.role_id = roles_utils.create_role(self.server, self.role_name)
+        role_dict = {"server_id": self.server_id, "role_id": self.role_id,
+                     "role_name": self.role_name}
+        utils.write_node_info("lrid", role_dict)
 
     def runTest(self):
         """This function test the get role scenario"""
-        server_id = test_server_dict["server"][0]["server_id"]
         response = self.tester.get(
             self.url + str(utils.SERVER_GROUP) + '/' +
-            str(server_id) + '/' + str(self.role_id),
+            str(self.server_id) + '/' + str(self.role_id),
             follow_redirects=True)
         self.assertEquals(response.status_code, 200)
 
diff --git a/web/pgadmin/browser/server_groups/servers/roles/tests/test_role_put.py b/web/pgadmin/browser/server_groups/servers/roles/tests/test_role_put.py
index 8b6a6aa..d6208f7 100644
--- a/web/pgadmin/browser/server_groups/servers/roles/tests/test_role_put.py
+++ b/web/pgadmin/browser/server_groups/servers/roles/tests/test_role_put.py
@@ -12,7 +12,7 @@ import uuid
 
 from pgadmin.utils.route import BaseTestGenerator
 from regression import test_utils as utils
-from regression import test_server_dict
+from regression import parent_node_dict
 from . import utils as roles_utils
 
 
@@ -24,12 +24,15 @@ class LoginRolePutTestCase(BaseTestGenerator):
     ]
 
     def setUp(self):
+        self.server_id = parent_node_dict["server"][-1]["server_id"]
         self.role_name = "role_put_%s" % str(uuid.uuid4())[1:6]
         self.role_id = roles_utils.create_role(self.server, self.role_name)
+        role_dict = {"server_id": self.server_id, "role_id": self.role_id,
+                     "role_name": self.role_name}
+        utils.write_node_info("lrid", role_dict)
 
     def runTest(self):
         """This function tests the update role data scenario"""
-        server_id = test_server_dict["server"][0]["server_id"]
         role_response = roles_utils.verify_role(self.server, self.role_name)
         if len(role_response) == 0:
             raise Exception("No roles(s) to update!!!")
@@ -39,7 +42,7 @@ class LoginRolePutTestCase(BaseTestGenerator):
         }
         put_response = self.tester.put(
             self.url + str(utils.SERVER_GROUP) + '/' +
-            str(server_id) + '/' + str(self.role_id),
+            str(self.server_id) + '/' + str(self.role_id),
             data=json.dumps(data),
             follow_redirects=True)
         self.assertEquals(put_response.status_code, 200)
diff --git a/web/pgadmin/browser/server_groups/servers/tablespaces/tests/test_tbspc_add.py b/web/pgadmin/browser/server_groups/servers/tablespaces/tests/test_tbspc_add.py
index 09e9e0e..d204207 100644
--- a/web/pgadmin/browser/server_groups/servers/tablespaces/tests/test_tbspc_add.py
+++ b/web/pgadmin/browser/server_groups/servers/tablespaces/tests/test_tbspc_add.py
@@ -7,14 +7,11 @@
 #
 # ##################################################################
 from __future__ import print_function
-
-import os
-import sys
 import json
 
 from pgadmin.utils.route import BaseTestGenerator
 from regression import test_utils as utils
-from regression import test_server_dict
+from regression import parent_node_dict
 from pgadmin.browser.server_groups.servers.tests import utils as server_utils
 from . import utils as tablespace_utils
 
@@ -30,14 +27,14 @@ class TableSpaceAddTestCase(BaseTestGenerator):
         self.tablespace_name = ''
         if not self.server['tablespace_path']\
                 or self.server['tablespace_path'] is None:
-            message = "Skipped tablespace add test case. Tablespace path" \
+            message = "Tablespace add test case. Tablespace path" \
                       " not configured for server: %s" % self.server['name']
             # Skip the test case if tablespace_path not found.
             self.skipTest(message)
 
     def runTest(self):
         """This function test the add tablespace API"""
-        server_id = test_server_dict["server"][0]["server_id"]
+        server_id = parent_node_dict["server"][-1]["server_id"]
         server_response = server_utils.connect_server(self, server_id)
         if not server_response['data']['connected']:
             raise Exception("Unable to connect server to get tablespace.")
@@ -58,7 +55,7 @@ class TableSpaceAddTestCase(BaseTestGenerator):
         tablespace_dict = {"tablespace_id": tablespace_id,
                            "tablespace_name": self.tablespace_name,
                            "server_id": server_id}
-        utils.write_node_info(tablespace_id, "tsid", tablespace_dict)
+        utils.write_node_info("tsid", tablespace_dict)
 
     def tearDown(self):
         """
diff --git a/web/pgadmin/browser/server_groups/servers/tablespaces/tests/test_tbspc_delete.py b/web/pgadmin/browser/server_groups/servers/tablespaces/tests/test_tbspc_delete.py
index 605b6af..49abc51 100644
--- a/web/pgadmin/browser/server_groups/servers/tablespaces/tests/test_tbspc_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/tablespaces/tests/test_tbspc_delete.py
@@ -12,13 +12,12 @@ import json
 
 from pgadmin.utils.route import BaseTestGenerator
 from regression import test_utils as utils
-from regression import test_server_dict
+from regression import parent_node_dict
 from . import utils as tablespace_utils
 
 
 class TableSpaceDeleteTestCase(BaseTestGenerator):
     """This class has delete table space scenario"""
-
     scenarios = [
         # Fetching default URL for tablespace node.
         ('Check Tablespace Node', dict(url='/browser/tablespace/obj/'))
@@ -27,24 +26,28 @@ class TableSpaceDeleteTestCase(BaseTestGenerator):
     def setUp(self):
         if not self.server['tablespace_path']\
                 or self.server['tablespace_path'] is None:
-            message = "Skipped tablespace delete test case. Tablespace path" \
+            message = "Tablespace delete test case. Tablespace path" \
                       " not configured for server: %s" % self.server['name']
             # Skip the test case if tablespace_path not found.
             self.skipTest(message)
         self.tablespace_name = "tablespace_delete_%s" % str(uuid.uuid4())[1:6]
+        self.server_id = parent_node_dict["server"][-1]["server_id"]
         self.tablespace_id = tablespace_utils.create_tablespace(
             self.server, self.tablespace_name)
+        tablespace_dict = {"tablespace_id": self.tablespace_id,
+                           "tablespace_name": self.tablespace_name,
+                           "server_id": self.server_id}
+        utils.write_node_info("tsid", tablespace_dict)
 
     def runTest(self):
         """This function tests the delete table space api"""
-        server_id = test_server_dict["server"][0]["server_id"]
         tablespace_count = tablespace_utils.verify_table_space(
             self.server, self.tablespace_name)
         if tablespace_count == 0:
             raise Exception("No tablespace(s) to delete!!!")
 
         response = self.tester.delete(self.url + str(utils.SERVER_GROUP)
-                                      + '/' + str(server_id) + '/'
+                                      + '/' + str(self.server_id) + '/'
                                       + str(self.tablespace_id),
                                       follow_redirects=True)
         self.assertEquals(response.status_code, 200)
diff --git a/web/pgadmin/browser/server_groups/servers/tablespaces/tests/test_tbspc_get.py b/web/pgadmin/browser/server_groups/servers/tablespaces/tests/test_tbspc_get.py
index 4f30ed6..13f0109 100644
--- a/web/pgadmin/browser/server_groups/servers/tablespaces/tests/test_tbspc_get.py
+++ b/web/pgadmin/browser/server_groups/servers/tablespaces/tests/test_tbspc_get.py
@@ -10,7 +10,7 @@ import uuid
 
 from pgadmin.utils.route import BaseTestGenerator
 from regression import test_utils as utils
-from regression import test_server_dict
+from regression import parent_node_dict
 from pgadmin.browser.server_groups.servers.tests import utils as server_utils
 from . import utils as tablespace_utils
 
@@ -26,18 +26,22 @@ class TablespaceGetTestCase(BaseTestGenerator):
     def setUp(self):
         if not self.server['tablespace_path']\
                 or self.server['tablespace_path'] is None:
-            message = "Skipped tablespace get test case. Tablespace path" \
+            message = "Tablespace get test case. Tablespace path" \
                       " not configured for server: %s" % self.server['name']
             # Skip the test case if tablespace_path not found.
             self.skipTest(message)
         self.tablespace_name = "tablespace_delete_%s" % str(uuid.uuid4())[1:6]
         self.tablespace_id = tablespace_utils.create_tablespace(
             self.server, self.tablespace_name)
+        self.server_id = parent_node_dict["server"][-1]["server_id"]
+        tablespace_dict = {"tablespace_id": self.tablespace_id,
+                           "tablespace_name": self.tablespace_name,
+                           "server_id": self.server_id}
+        utils.write_node_info("tsid", tablespace_dict)
 
     def runTest(self):
         """This function test the get table space scenario"""
-        server_id = test_server_dict["server"][0]["server_id"]
-        server_response = server_utils.connect_server(self, server_id)
+        server_response = server_utils.connect_server(self, self.server_id)
         if not server_response['data']['connected']:
             raise Exception("Unable to connect server to get tablespace.")
 
@@ -47,7 +51,7 @@ class TablespaceGetTestCase(BaseTestGenerator):
             raise Exception("No tablespace(s) to update!!!")
         response = self.tester.get(
             self.url + str(utils.SERVER_GROUP) + '/' +
-            str(server_id) + '/' + str(self.tablespace_id),
+            str(self.server_id) + '/' + str(self.tablespace_id),
             follow_redirects=True)
         self.assertEquals(response.status_code, 200)
 
diff --git a/web/pgadmin/browser/server_groups/servers/tablespaces/tests/test_tbspc_put.py b/web/pgadmin/browser/server_groups/servers/tablespaces/tests/test_tbspc_put.py
index b5e1986..b997bb9 100644
--- a/web/pgadmin/browser/server_groups/servers/tablespaces/tests/test_tbspc_put.py
+++ b/web/pgadmin/browser/server_groups/servers/tablespaces/tests/test_tbspc_put.py
@@ -12,7 +12,7 @@ import uuid
 
 from pgadmin.utils.route import BaseTestGenerator
 from regression import test_utils as utils
-from regression import test_server_dict
+from regression import parent_node_dict
 from . import utils as tablespace_utils
 
 
@@ -27,17 +27,21 @@ class TableSpaceUpdateTestCase(BaseTestGenerator):
     def setUp(self):
         if not self.server['tablespace_path']\
                 or self.server['tablespace_path'] is None:
-            message = "Skipped tablespace delete test case. Tablespace path" \
+            message = "Tablespace delete test case. Tablespace path" \
                       " not configured for server: %s" % self.server['name']
             # Skip the test case if tablespace_path not found.
             self.skipTest(message)
         self.tablespace_name = "tablespace_delete_%s" % str(uuid.uuid4())[1:6]
         self.tablespace_id = tablespace_utils.create_tablespace(
             self.server, self.tablespace_name)
+        self.server_id = parent_node_dict["server"][-1]["server_id"]
+        tablespace_dict = {"tablespace_id": self.tablespace_id,
+                           "tablespace_name": self.tablespace_name,
+                           "server_id": self.server_id}
+        utils.write_node_info("tsid", tablespace_dict)
 
     def runTest(self):
         """This function tests the update tablespace data scenario"""
-        server_id = test_server_dict["server"][0]["server_id"]
         tablespace_count = tablespace_utils.verify_table_space(
             self.server, self.tablespace_name)
         if tablespace_count == 0:
@@ -48,7 +52,7 @@ class TableSpaceUpdateTestCase(BaseTestGenerator):
             "table_space_id": self.tablespace_id
             }
         put_response = self.tester.put(
-            self.url + str(utils.SERVER_GROUP) + '/' + str(server_id) + '/'
+            self.url + str(utils.SERVER_GROUP) + '/' + str(self.server_id) + '/'
             + str(self.tablespace_id), data=json.dumps(data),
             follow_redirects=True)
         self.assertEquals(put_response.status_code, 200)
diff --git a/web/pgadmin/browser/server_groups/servers/tests/test_server_add.py b/web/pgadmin/browser/server_groups/servers/tests/test_server_add.py
index 6433888..f10714a 100644
--- a/web/pgadmin/browser/server_groups/servers/tests/test_server_add.py
+++ b/web/pgadmin/browser/server_groups/servers/tests/test_server_add.py
@@ -32,8 +32,9 @@ class ServersAddTestCase(BaseTestGenerator):
         self.assertEquals(response.status_code, 200)
         response_data = json.loads(response.data.decode('utf-8'))
         self.server_id = response_data['node']['_id']
-        utils.write_node_info(int(self.server_id), "sid", self.server)
+        server_dict = {"server_id": int(self.server_id)}
+        utils.write_node_info("sid", server_dict)
 
     def tearDown(self):
         """This function delete the server from SQLite """
-        utils.delete_server(self.tester, self.server_id)
+        utils.delete_server_with_api(self.tester, self.server_id)
diff --git a/web/pgadmin/browser/server_groups/servers/tests/test_server_delete.py b/web/pgadmin/browser/server_groups/servers/tests/test_server_delete.py
index 4f9e82d..5349dc9 100644
--- a/web/pgadmin/browser/server_groups/servers/tests/test_server_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/tests/test_server_delete.py
@@ -21,6 +21,8 @@ class ServerDeleteTestCase(BaseTestGenerator):
     def setUp(self):
         """This function add the server to test the DELETE API"""
         self.server_id = utils.create_server(self.server)
+        server_dict = {"server_id": self.server_id}
+        utils.write_node_info("sid", server_dict)
 
     def runTest(self):
         """This function deletes the added server"""
@@ -33,4 +35,4 @@ class ServerDeleteTestCase(BaseTestGenerator):
 
     def tearDown(self):
         """This function delete the server from SQLite """
-        utils.delete_server(self.tester, self.server_id)
+        utils.delete_server_with_api(self.tester, self.server_id)
diff --git a/web/pgadmin/browser/server_groups/servers/tests/test_server_get.py b/web/pgadmin/browser/server_groups/servers/tests/test_server_get.py
index cd6d787..338f7fc 100644
--- a/web/pgadmin/browser/server_groups/servers/tests/test_server_get.py
+++ b/web/pgadmin/browser/server_groups/servers/tests/test_server_get.py
@@ -9,7 +9,7 @@
 
 from pgadmin.utils.route import BaseTestGenerator
 from regression import test_utils as utils
-from regression import test_server_dict
+from regression import parent_node_dict
 
 
 class ServersGetTestCase(BaseTestGenerator):
@@ -23,9 +23,15 @@ class ServersGetTestCase(BaseTestGenerator):
         ('Default Server Node url', dict(url='/browser/server/obj/'))
     ]
 
+    def setUp(self):
+        """This function add the server to test the GET API"""
+        self.server_id = utils.create_server(self.server)
+        server_dict = {"server_id": self.server_id}
+        utils.write_node_info("sid", server_dict)
+
     def runTest(self):
         """ This function will fetch the added servers to object browser. """
-        server_id = test_server_dict["server"][0]["server_id"]
+        server_id = parent_node_dict["server"][-1]["server_id"]
         if not server_id:
             raise Exception("Server not found to test GET API")
         response = self.tester.get(self.url + str(utils.SERVER_GROUP) + '/' +
@@ -33,3 +39,6 @@ class ServersGetTestCase(BaseTestGenerator):
                                    follow_redirects=True)
         self.assertEquals(response.status_code, 200)
 
+    def tearDown(self):
+        """This function delete the server from SQLite """
+        utils.delete_server_with_api(self.tester, self.server_id)
diff --git a/web/pgadmin/browser/server_groups/servers/tests/test_server_put.py b/web/pgadmin/browser/server_groups/servers/tests/test_server_put.py
index 3db8c33..4c8e9fc 100644
--- a/web/pgadmin/browser/server_groups/servers/tests/test_server_put.py
+++ b/web/pgadmin/browser/server_groups/servers/tests/test_server_put.py
@@ -23,6 +23,8 @@ class ServerUpdateTestCase(BaseTestGenerator):
     def setUp(self):
         """This function add the server to test the PUT API"""
         self.server_id = utils.create_server(self.server)
+        server_dict = {"server_id": self.server_id}
+        utils.write_node_info("sid", server_dict)
 
     def runTest(self):
         """This function update the server details"""
@@ -37,4 +39,4 @@ class ServerUpdateTestCase(BaseTestGenerator):
 
     def tearDown(self):
         """This function delete the server from SQLite"""
-        utils.delete_server(self.tester, self.server_id)
+        utils.delete_server_with_api(self.tester, self.server_id)
diff --git a/web/pgadmin/browser/tests/test_change_password.py b/web/pgadmin/browser/tests/test_change_password.py
index 5b7c918..a77327f 100644
--- a/web/pgadmin/browser/tests/test_change_password.py
+++ b/web/pgadmin/browser/tests/test_change_password.py
@@ -6,14 +6,13 @@
 # #This software is released under the PostgreSQL Licence
 #
 # ##########################################################################
-
 import uuid
 import json
 
 from pgadmin.utils.route import BaseTestGenerator
 from regression.test_setup import config_data
-from regression import test_utils as utils
-from utils import change_password
+from regression import test_utils
+from . import utils
 
 
 class ChangePasswordTestCase(BaseTestGenerator):
@@ -89,30 +88,25 @@ class ChangePasswordTestCase(BaseTestGenerator):
                 confirmPassword=self.password, active=1, role="2"),
                                         follow_redirects=True)
             user_id = json.loads(response.data.decode('utf-8'))['id']
-
             # Logout the Administrator before login normal user
-            utils.logout_tester_account(self.tester)
-
+            test_utils.logout_tester_account(self.tester)
             response = self.tester.post('/login', data=dict(
                 email=self.username, password=self.password),
                                         follow_redirects=True)
-            assert response.status_code == 200
-
+            self.assertEquals(response.status_code, 200)
             # test the 'change password' test case
-            change_password(self)
-
+            utils.change_password(self)
             # Delete the normal user after changing it's password
-            utils.logout_tester_account(self.tester)
-
+            test_utils.logout_tester_account(self.tester)
             # Login the Administrator before deleting normal user
-            utils.login_tester_account(self.tester)
+            test_utils.login_tester_account(self.tester)
             response = self.tester.delete(
                 '/user_management/user/' + str(user_id),
                 follow_redirects=True)
-            assert response.status_code == 200
+            self.assertEquals(response.status_code, 200)
         else:
-            change_password(self)
+            utils.change_password(self)
 
     @classmethod
     def tearDownClass(cls):
-        utils.login_tester_account(cls.tester)
+        test_utils.login_tester_account(cls.tester)
diff --git a/web/pgadmin/browser/tests/test_login.py b/web/pgadmin/browser/tests/test_login.py
index f6bc6b5..ac446f7 100644
--- a/web/pgadmin/browser/tests/test_login.py
+++ b/web/pgadmin/browser/tests/test_login.py
@@ -85,7 +85,7 @@ class LoginTestCase(BaseTestGenerator):
         response = self.tester.post('/login', data=dict(
             email=self.email, password=self.password),
                                     follow_redirects=True)
-        self.assertIn(self.respdata, response.data.decode('utf8'))
+        self.assertTrue(self.respdata in response.data.decode('utf8'))
 
     @classmethod
     def tearDownClass(cls):
